ranch:get_port(3)

NAME

ranch:get_port - Get the listening port

DESCRIPTION
    get_port(Ref :: ranch:ref())
        -> Port :: inet:port_number() | undefined

Get the listening port.

This function is particularly useful to retrieve the listening port number when it was not provided in the options and was chosen randomly instead.

ARGUMENTS

Ref
    The listener name.

RETURN VALUE

The listening port is returned.

When the listener is suspended or using a UNIX Domain socket instead of a network interface, undefined will be returned.

EXAMPLES

Get the listening port
    Port = ranch:get_port(example).

SEE ALSO

ranch:start_listener(3), ranch:get_addr(3), ranch:info(3), ranch(3)